Subject: [eppext] Working Group Last call for draft-ietf-eppext-tmch-smd

From: Antoin Verschuren <[email-masked]>
Date: Mon, 20 Jul 2015 22:02:46 +0200

Greetings,

This is the starting of the WGLC on the Mark and Signed Mark Objects Mapping.
We believe this document is ready for WGLC.
The current version of this document can be found here:

  https://www.ietf.org/id/draft-ietf-eppext-tmch-smd-01.txt

We'll have a 1,5 week period for comments, closing on Friday, 31 July 2015.

During last call the chairs are looking for a document shepherd for this document.
If you’re interested, please contact the chairs. The document authors can not be the shepherd.

thanks,

- --
Antoin Verschuren

Tweevoren 6, 5672 SB Nuenen, NL
M: +31 6 37682392
xmpp:[email-masked]

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 21 Jul 2015 13:20:15 +0000

> -----Original Message-----
> From: EppExt [mailto:[email-masked]] On Behalf Of Antoin
> Verschuren
> Sent: Monday, July 20, 2015 4:03 PM
> To: [email-masked]
> Subject: [eppext] Working Group Last call for draft-ietf-eppext-tmch-
> smd
> 
> Greetings,
> 

I have reviewed this document. Comments:

Section 1: Please expand the ICANN acronym and include a normative reference for the "Trademark Clearinghouse". I'm asking for a normative reference because this document describes the format of structures that are "defined" by the TMCH. One really has to understand the TMCH to understand why these formats are needed.

Section 2.3: RFC 3275 (a draft standard) is probably a better normative reference for an IETF document than a URI to a W3C document.

A question: is this still good advice from a security perspective?

"SHA256/RSA-SHA256 SHOULD be used for digesting and signing. The size of the RSA key SHOULD be at least 2048 bits."

Section 7: The IANA Consideration section should include a subsection to register this extension in the EPP extensions registry. Templates should also be added to register the two schemas. There's an example of schema registration in RFC 5731.

Section 8: I have to disagree with the "The object mapping described in this document does not provide any security services or introduce any additional considerations" statement. For example, more text might be needed here to address considerations associated with the algorithm recommendations made in Section 2.3.

Scott

---

From: Gustavo Lozano <[email-masked]>
Date: Wed, 22 Jul 2015 10:59:02 +0000

Thank you Scott,

I will address your comments in the next version of the draft.

Regards,
Gustavo

On 7/21/15, 15:20, "EppExt on behalf of Hollenbeck, Scott"
<[email-masked] on behalf of [email-masked]> wrote:

>Section 1: Please expand the ICANN acronym and include a normative
>reference for the "Trademark Clearinghouse". I'm asking for a normative
>reference because this document describes the format of structures that
>are "defined" by the TMCH. One really has to understand the TMCH to
>understand why these formats are needed.
>
>Section 2.3: RFC 3275 (a draft standard) is probably a better normative
>reference for an IETF document than a URI to a W3C document.
>
>"SHA256/RSA-SHA256 SHOULD be used for digesting and signing. The size of
>the RSA key SHOULD be at least 2048 bits."
>
>Section 7: The IANA Consideration section should include a subsection to
>register this extension in the EPP extensions registry. Templates should
>also be added to register the two schemas. There's an example of schema
>registration in RFC 5731.
>
>Section 8: I have to disagree with the "The object mapping described in
>this document does not provide any security services or introduce any
>additional considerations" statement. For example, more text might be
>needed here to address considerations associated with the algorithm
>recommendations made in Section 2.3.
>
>Scott
>
>_______________________________________________
>EppExt mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/eppext